import greenfoot.*;

public class MyWorld extends World
{
    /** MAP LEGEND **/
    // b = block        m = monster
    // p = platform     k = key
    // w = wall         c = character (player)
    // d = door         

    String[] map = { "                         ",
            " m           c    m     ",
            "ppp                      ",
            "                         ",
            "                         ",
            "     pp                  ",
            "                         ",
            "             ppppppppp   ",
            "                         ",
            "        pp               ",
            "               m         ",
            "    m                    ",
            "             pppp     m  ",
            "  ppppp                  ",
            "                     ppp ",
            "                         ",
            "    m                m   ",
            "        ppp                 ",
            "bbbbbbbbbbbbbbbbbbbbbbbbb" };

    public MyWorld()
    {    
        super(800, 600, 1, false); // Set world size
        prepare();
    }

    private void prepare()
    {for (int i=0; i<map.length; i++)
            for (int j=0; j<map[i].length(); j++)
            {
                int kind = "cbpwm".indexOf(""+map[i].charAt(j)); // All "kinds" in order
                if (kind < 0) continue;
                Actor actor = null;
                if (kind == 0) actor = new Player();
                if (kind == 1) actor = new Block();
                if (kind == 2) actor = new Floor();
                if (kind == 3) actor = new Wall();
                if (kind == 4) actor = new Monster();
                addObject(actor, 16+j*32, 16+i*32); // Start at pixel 16 and add objects at 32 pixel increments
        }
    }
}